The Invoice resource represents Halaxy invoices, a financial document issued by a healthcare provider to a patient or organization indicating the goods and services provided with their quantities and prices
Through this resource API, you can list all invoices or retrieve a specific invoice to access billing information, service details, outstanding balances and more.
Endpoints
| Endpoint | Operation | Description |
|---|---|---|
GET /main/Invoice | List Invoices | Retrieves a list or collection of invoices in a practice group |
GET /main/Invoice/{id} | Get Invoice | Retrieves an individual invoice |
Schema
| Property | Description |
|---|---|
| id | stringThe invoice number |
| recipient |
If patient If organization See also: Patient, Organization |
| status | string defaults to activee.g. "active" "issued" "write-off" |
| date | dateThe invoice issue date |
| payorType | stringType of payor - "patient" or "organization" |
| title | stringThe patient's name as the invoice title |
| type | stringThe kind of invoice document - e.g. "invoice" "quote" |
| practitioner |
|
| note | Additional comments in the Notes section of the invoice (may contain html elements)
|
| totalNet | The total amount on the invoices without taxes |
| totalGross | The total amount on the invoice with taxes |
| totalBalance | The total unpaid amount on the invoice |
| totalTax | The total tax amount on the invoice |
| totalPaid | The total paid amount on the invoice |
